API ReferencePublic
Get Metric Report
Get metric report.
Authorization
bearerAuth superuserAuthorization<token>
In: header
Scope: superuser
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
Try it live
curl -X POST "https://example.com/v1/public/reports/metrics" \ -H "Content-Type: application/json" \ -d '{}'{ "totalCount": 0.1, "totalPages": 0.1, "currentPage": 0.1, "metrics": [ { "company": { "name": "string", "id": 0.1 }, "machine": { "nodeId": 0.1, "name": "string", "id": 0.1 }, "shift": { "isActive": true, "endTime": "2019-08-24T14:15:22Z", "startTime": "2019-08-24T14:15:22Z", "name": "string", "id": 0.1 }, "shiftIndicators": { "unavailableTime": 0.1, "otherStopsTime": 0.1, "programmedDowntime": 0.1, "nonProgrammedDowntime": 0.1, "noDataTime": 0.1, "netAvailability": 0.1, "lateStartTime": 0.1, "earlyStopTime": 0.1, "availableTime": 0.1, "availability": 0.1, "annotatedDowntime": 0.1, "indicatorId": 0.1 }, "productionMetrics": { "averageCycleSpeed": 0, "cycleSpeed": 0, "cycleCount": 0, "actualSpeed": 0, "averageSpeed": 0, "defects": 0, "correct": 0, "total": 0, "minutesLostByLowSpeed": 0, "minutesLostByLowQuality": 0, "effectiveness": 0, "quality": 0, "netOee": 0, "oee": 0, "netAvailability": 0, "availability": 0 } } ]}